Page MenuHomePhabricator

Notification badges misaligned in Monobook in IE11 and below
Closed, ResolvedPublic

Description

Split out from T142042. This appears to occur in all versions of IE except Edge (even IE11 on Windows 10, where T142042 did not occur). It seems to be caused by the fact that Monobook and Vector style the personal tools differently; the badges are display: inline-block but all the other personal tools are display: inline;, and this causes IE11 and below to push them down by 1em. Negative margins don't seem to be able to fix this, the only way I found was position: relative; top: -1em; but of course that screws things up in compliant browsers by moving the badges up off-screen.

Event Timeline

Catrope created this task.Aug 3 2016, 11:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2016, 11:02 PM

Change 302854 had a related patch set uploaded (by Catrope):
Hack around browser bug in IE breaking badge alignment in Monobook

https://gerrit.wikimedia.org/r/302854

SBisson assigned this task to Catrope.Aug 4 2016, 2:48 PM

Change 302854 merged by jenkins-bot:
Hack around browser bug in IE breaking badge alignment in Monobook

https://gerrit.wikimedia.org/r/302854

Change 303337 had a related patch set uploaded (by Catrope):
Hack around browser bug in IE breaking badge alignment in Monobook

https://gerrit.wikimedia.org/r/303337

Change 303337 merged by jenkins-bot:
Hack around browser bug in IE breaking badge alignment in Monobook

https://gerrit.wikimedia.org/r/303337

Mentioned in SAL [2016-08-08T23:42:34Z] <catrope@tin> Synchronized php-1.28.0-wmf.13/extensions/Echo/modules/nojs/mw.echo.badge.monobook.less: Hack around IE bug breaking badge alignment in Monobook (T142053) (duration: 00m 50s)

The hack was undone (https://gerrit.wikimedia.org/r/#/q/Ia5a0a6b6be3698436a043aee111f251709c22f20), as it's apparently no longer needed (for unknown reasons, maybe thanks to https://gerrit.wikimedia.org/r/303253?).

Re-checked in 1.28.0-wmf.14 (ba1c692) for IE11
enwiki monobook


Examples of monobook IE11 in betalabs

For comparison - vector IE11 betalabs

jmatazzoni closed this task as Resolved.Aug 17 2016, 4:12 PM